summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xautomated/linux/aep-pre-post/lisa.sh12
1 files changed, 7 insertions, 5 deletions
diff --git a/automated/linux/aep-pre-post/lisa.sh b/automated/linux/aep-pre-post/lisa.sh
index a592ec1..961a10d 100755
--- a/automated/linux/aep-pre-post/lisa.sh
+++ b/automated/linux/aep-pre-post/lisa.sh
@@ -32,13 +32,15 @@ RESULT_FILE="${OUTPUT}/result.txt"
export RESULT_FILE
if [ "${SKIP_INSTALL}" = "true" ] || [ "${SKIP_INSTALL}" = "True" ]; then
- info_msg "Dependency installation skipped"
+ info_msg "Dependency and python2 venv installation skipped"
+ test -d .venv || error_msg "python2 venv for LISA is required, but not found!"
+ . .venv/bin/activate
else
- PKGS="build-essential autoconf automake libtool pkg-config trace-cmd sshpass kernelshark nmap net-tools tree libfreetype6-dev libpng12-dev python-pip python-dev python-tk"
+ PKGS="virtualenv build-essential autoconf automake libtool pkg-config trace-cmd sshpass kernelshark nmap net-tools tree libfreetype6-dev libpng12-dev python-pip python-dev python-tk"
install_deps "${PKGS}"
- pip install --upgrade --quiet pip && hash -r
- pip install --upgrade --quiet setuptools
- pip install --upgrade --quiet matplotlib numpy nose Cython trappy bart-py devlib psutil wrapt scipy IPython
+ virtualenv --python=python2 .venv
+ . .venv/bin/activate
+ pip install --quiet matplotlib numpy nose Cython trappy bart-py devlib psutil wrapt scipy IPython
git clone "${LISA_REPOSITORY}" lisa
(
cd lisa